TActiveTxnStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TActiveTxnStat

- java.lang.Object
- - com.sleepycat.thrift.TActiveTxnStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TActiveTxnStat>, org.apache.thrift.TBase<TActiveTxnStat,TActiveTxnStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TActiveTxnStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<TActiveTxnStat,TActiveTxnStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TActiveTxnStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TActiveTxnStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer` | `GId`
    `int` | `lsnFile`
    `int` | `lsnOffset`
    `static java.util.Map<TActiveTxnStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `multiversionRef`
    `java.lang.String` | `name`
    `int` | `parentId`
    `int` | `pid`
    `int` | `priority`
    `int` | `readLsnFile`
    `int` | `readLsnOffset`
    `int` | `txnId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TActiveTxnStat()`
    `TActiveTxnStat(java.nio.ByteBuffer GId, int lsnFile, int lsnOffset, int multiversionRef, java.lang.String name, int parentId, int pid, int priority, int readLsnFile, int readLsnOffset, int txnId)`
    `TActiveTxnStat(TActiveTxnStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `bufferForGId()`
    `void` | `clear()`
    `int` | `compareTo(TActiveTxnStat other)`
    `TActiveTxnStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TActiveTxnStat that)`
    `TActiveTxnStat._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(TActiveTxnStat._Fields field)`
    `byte[]` | `getGId()`
    `int` | `getLsnFile()`
    `int` | `getLsnOffset()`
    `int` | `getMultiversionRef()`
    `java.lang.String` | `getName()`
    `int` | `getParentId()`
    `int` | `getPid()`
    `int` | `getPriority()`
    `int` | `getReadLsnFile()`
    `int` | `getReadLsnOffset()`
    `int` | `getTxnId()`
    `int` | `hashCode()`
    `boolean` | `isSet(TActiveTxnStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetGId()` Returns true if field GId is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLsnFile()` Returns true if field lsnFile is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLsnOffset()` Returns true if field lsnOffset is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMultiversionRef()` Returns true if field multiversionRef is set (has been assigned a value) and false otherwise
    `boolean` | `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
    `boolean` | `isSetParentId()` Returns true if field parentId is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPid()` Returns true if field pid is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPriority()` Returns true if field priority is set (has been assigned a value) and false otherwise
    `boolean` | `isSetReadLsnFile()` Returns true if field readLsnFile is set (has been assigned a value) and false otherwise
    `boolean` | `isSetReadLsnOffset()` Returns true if field readLsnOffset is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTxnId()` Returns true if field txnId is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(TActiveTxnStat._Fields field, java.lang.Object value)`
    `TActiveTxnStat` | `setGId(byte[] GId)`
    `TActiveTxnStat` | `setGId(java.nio.ByteBuffer GId)`
    `void` | `setGIdIsSet(boolean value)`
    `TActiveTxnStat` | `setLsnFile(int lsnFile)`
    `void` | `setLsnFileIsSet(boolean value)`
    `TActiveTxnStat` | `setLsnOffset(int lsnOffset)`
    `void` | `setLsnOffsetIsSet(boolean value)`
    `TActiveTxnStat` | `setMultiversionRef(int multiversionRef)`
    `void` | `setMultiversionRefIsSet(boolean value)`
    `TActiveTxnStat` | `setName(java.lang.String name)`
    `void` | `setNameIsSet(boolean value)`
    `TActiveTxnStat` | `setParentId(int parentId)`
    `void` | `setParentIdIsSet(boolean value)`
    `TActiveTxnStat` | `setPid(int pid)`
    `void` | `setPidIsSet(boolean value)`
    `TActiveTxnStat` | `setPriority(int priority)`
    `void` | `setPriorityIsSet(boolean value)`
    `TActiveTxnStat` | `setReadLsnFile(int readLsnFile)`
    `void` | `setReadLsnFileIsSet(boolean value)`
    `TActiveTxnStat` | `setReadLsnOffset(int readLsnOffset)`
    `void` | `setReadLsnOffsetIsSet(boolean value)`
    `TActiveTxnStat` | `setTxnId(int txnId)`
    `void` | `setTxnIdIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetGId()`
    `void` | `unsetLsnFile()`
    `void` | `unsetLsnOffset()`
    `void` | `unsetMultiversionRef()`
    `void` | `unsetName()`
    `void` | `unsetParentId()`
    `void` | `unsetPid()`
    `void` | `unsetPriority()`
    `void` | `unsetReadLsnFile()`
    `void` | `unsetReadLsnOffset()`
    `void` | `unsetTxnId()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### GId

          public java.nio.ByteBuffer GId

    - #### lsnFile

          public int lsnFile

    - #### lsnOffset

          public int lsnOffset

    - #### multiversionRef

          public int multiversionRef

    - #### name

          public java.lang.String name

    - #### parentId

          public int parentId

    - #### pid

          public int pid

    - #### priority

          public int priority

    - #### readLsnFile

          public int readLsnFile

    - #### readLsnOffset

          public int readLsnOffset

    - #### txnId

          public int txnId

    - #### metaDataMap

          public static final java.util.Map<TActiveTxnStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TActiveTxnStat

          public TActiveTxnStat()

    - #### TActiveTxnStat

          public TActiveTxnStat(java.nio.ByteBuffer GId,
                                int lsnFile,
                                int lsnOffset,
                                int multiversionRef,
                                java.lang.String name,
                                int parentId,
                                int pid,
                                int priority,
                                int readLsnFile,
                                int readLsnOffset,
                                int txnId)

    - #### TActiveTxnStat

          public TActiveTxnStat(TActiveTxnStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TActiveTxnStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TActiveTxnStat,TActiveTxnStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TActiveTxnStat,TActiveTxnStat._Fields>`

    - #### getGId

          public byte[] getGId()

    - #### bufferForGId

          public java.nio.ByteBuffer bufferForGId()

    - #### setGId

          public TActiveTxnStat setGId(byte[] GId)

    - #### setGId

          public TActiveTxnStat setGId(java.nio.ByteBuffer GId)

    - #### unsetGId

          public void unsetGId()

    - #### isSetGId

          public boolean isSetGId()

      Returns true if field GId is set (has been assigned a value) and false otherwise

    - #### setGIdIsSet

          public void setGIdIsSet(boolean value)

    - #### getLsnFile

          public int getLsnFile()

    - #### setLsnFile

          public TActiveTxnStat setLsnFile(int lsnFile)

    - #### unsetLsnFile

          public void unsetLsnFile()

    - #### isSetLsnFile

          public boolean isSetLsnFile()

      Returns true if field lsnFile is set (has been assigned a value) and false otherwise

    - #### setLsnFileIsSet

          public void setLsnFileIsSet(boolean value)

    - #### getLsnOffset

          public int getLsnOffset()

    - #### setLsnOffset

          public TActiveTxnStat setLsnOffset(int lsnOffset)

    - #### unsetLsnOffset

          public void unsetLsnOffset()

    - #### isSetLsnOffset

          public boolean isSetLsnOffset()

      Returns true if field lsnOffset is set (has been assigned a value) and false otherwise

    - #### setLsnOffsetIsSet

          public void setLsnOffsetIsSet(boolean value)

    - #### getMultiversionRef

          public int getMultiversionRef()

    - #### setMultiversionRef

          public TActiveTxnStat setMultiversionRef(int multiversionRef)

    - #### unsetMultiversionRef

          public void unsetMultiversionRef()

    - #### isSetMultiversionRef

          public boolean isSetMultiversionRef()

      Returns true if field multiversionRef is set (has been assigned a value) and false otherwise

    - #### setMultiversionRefIsSet

          public void setMultiversionRefIsSet(boolean value)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public TActiveTxnStat setName(java.lang.String name)

    - #### unsetName

          public void unsetName()

    - #### isSetName

          public boolean isSetName()

      Returns true if field name is set (has been assigned a value) and false otherwise

    - #### setNameIsSet

          public void setNameIsSet(boolean value)

    - #### getParentId

          public int getParentId()

    - #### setParentId

          public TActiveTxnStat setParentId(int parentId)

    - #### unsetParentId

          public void unsetParentId()

    - #### isSetParentId

          public boolean isSetParentId()

      Returns true if field parentId is set (has been assigned a value) and false otherwise

    - #### setParentIdIsSet

          public void setParentIdIsSet(boolean value)

    - #### getPid

          public int getPid()

    - #### setPid

          public TActiveTxnStat setPid(int pid)

    - #### unsetPid

          public void unsetPid()

    - #### isSetPid

          public boolean isSetPid()

      Returns true if field pid is set (has been assigned a value) and false otherwise

    - #### setPidIsSet

          public void setPidIsSet(boolean value)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public TActiveTxnStat setPriority(int priority)

    - #### unsetPriority

          public void unsetPriority()

    - #### isSetPriority

          public boolean isSetPriority()

      Returns true if field priority is set (has been assigned a value) and false otherwise

    - #### setPriorityIsSet

          public void setPriorityIsSet(boolean value)

    - #### getReadLsnFile

          public int getReadLsnFile()

    - #### setReadLsnFile

          public TActiveTxnStat setReadLsnFile(int readLsnFile)

    - #### unsetReadLsnFile

          public void unsetReadLsnFile()

    - #### isSetReadLsnFile

          public boolean isSetReadLsnFile()

      Returns true if field readLsnFile is set (has been assigned a value) and false otherwise

    - #### setReadLsnFileIsSet

          public void setReadLsnFileIsSet(boolean value)

    - #### getReadLsnOffset

          public int getReadLsnOffset()

    - #### setReadLsnOffset

          public TActiveTxnStat setReadLsnOffset(int readLsnOffset)

    - #### unsetReadLsnOffset

          public void unsetReadLsnOffset()

    - #### isSetReadLsnOffset

          public boolean isSetReadLsnOffset()

      Returns true if field readLsnOffset is set (has been assigned a value) and false otherwise

    - #### setReadLsnOffsetIsSet

          public void setReadLsnOffsetIsSet(boolean value)

    - #### getTxnId

          public int getTxnId()

    - #### setTxnId

          public TActiveTxnStat setTxnId(int txnId)

    - #### unsetTxnId

          public void unsetTxnId()

    - #### isSetTxnId

          public boolean isSetTxnId()

      Returns true if field txnId is set (has been assigned a value) and false otherwise

    - #### setTxnIdIsSet

          public void setTxnIdIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TActiveTxnStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TActiveTxnStat,TActiveTxnStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TActiveTxnStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TActiveTxnStat,TActiveTxnStat._Fields>`

    - #### isSet

          public boolean isSet(TActiveTxnStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TActiveTxnStat,TActiveTxnStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TActiveTxnStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TActiveTxnStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TActiveTxnStat>`

    - #### fieldForId

          public TActiveTxnStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TActiveTxnStat,TActiveTxnStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.